compat-openssl10-1.0.2o-1.fc27.i686.rpm


Advertisement

Description

compat-openssl10 - Compatibility version of the OpenSSL library

Property Value
Distribution Fedora 27
Repository Fedora Updates x86_64
Package name compat-openssl10
Package version 1.0.2o
Package release 1.fc27
Package architecture i686
Package type rpm
Installed size 2.57 MB
Download size 984.40 KB
Official Mirror dl.fedoraproject.org
The OpenSSL toolkit provides support for secure communications between
machines. This version of OpenSSL package contains only the libraries
and is provided for compatibility with previous releases and software
that does not support compilation with OpenSSL-1.1.

Alternatives

Package Version Architecture Repository
compat-openssl10-1.0.2o-1.fc27.x86_64.rpm 1.0.2o x86_64 Fedora Updates
compat-openssl10-1.0.2o-1.fc27.i686.rpm 1.0.2o i686 Fedora Updates
compat-openssl10-1.0.2j-9.fc27.x86_64.rpm 1.0.2j x86_64 Fedora
compat-openssl10-1.0.2j-9.fc27.i686.rpm 1.0.2j i686 Fedora
compat-openssl10-1.0.2j-9.fc27.i686.rpm 1.0.2j i686 Fedora
compat-openssl10 - - -

Requires

Name Value
/sbin/ldconfig -
coreutils -
crypto-policies -
libc.so.6(GLIBC_2.17) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libz.so.1 -
make -
rtld(GNU_HASH) -

Provides

Name Value
compat-openssl10 = 1.0.2o-1.fc27
compat-openssl10(x86-32) = 1.0.2o-1.fc27
libcrypto.so.10 -
libcrypto.so.10(OPENSSL_1.0.1) -
libcrypto.so.10(OPENSSL_1.0.1_EC) -
libcrypto.so.10(OPENSSL_1.0.2) -
libcrypto.so.10(libcrypto.so.10) -
libssl.so.10 -
libssl.so.10(OPENSSL_1.0.1) -
libssl.so.10(OPENSSL_1.0.1_EC) -
libssl.so.10(OPENSSL_1.0.2) -
libssl.so.10(libssl.so.10) -

Conflicts

Name Value
openssl < 1.1.0
openssl-libs < 1.1.0

Download

Type URL
Binary Package compat-openssl10-1.0.2o-1.fc27.i686.rpm
Source Package compat-openssl10-1.0.2o-1.fc27.src.rpm

Install Howto

Install compat-openssl10 rpm package:

# dnf install compat-openssl10

Files

Path
/usr/lib/.libcrypto.so.1.0.2o.hmac
/usr/lib/.libcrypto.so.10.hmac
/usr/lib/.libssl.so.1.0.2o.hmac
/usr/lib/.libssl.so.10.hmac
/usr/lib/libcrypto.so.1.0.2o
/usr/lib/libcrypto.so.10
/usr/lib/libssl.so.1.0.2o
/usr/lib/libssl.so.10
/usr/lib/.build-id/
/usr/lib/.build-id/22/dc4ca95e29e397d87ac744c0c5534796130ad3
/usr/lib/.build-id/cc/1dba1be443de0a61d6f230944025b0985e87fc
/usr/share/doc/compat-openssl10/FAQ
/usr/share/doc/compat-openssl10/NEWS
/usr/share/doc/compat-openssl10/README
/usr/share/doc/compat-openssl10/README.FIPS
/usr/share/doc/compat-openssl10/README.legacy-settings
/usr/share/licenses/compat-openssl10/LICENSE

Changelog

2018-04-05 - Tomáš Mráz <tmraz@redhat.com> 1.0.2o-1
- minor upstream release 1.0.2o fixing security issues
2018-03-11 - Stefan O'Rear <sorear2@gmail.com> 1:1.0.2n-4
- Add flags for riscv64.
2018-02-23 - Tomáš Mráz <tmraz@redhat.com> 1.0.2n-3
- apply RPM_LD_FLAGS properly (#1548117)
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2n-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-01-18 - Tomáš Mráz <tmraz@redhat.com> 1.0.2n-1
- minor upstream release 1.0.2n fixing security issues
2017-11-13 - Tomáš Mráz <tmraz@redhat.com> 1.0.2m-1
- minor upstream release 1.0.2m fixing security issues
- fix locking of RNG in FIPS mode for some obscure use-cases
2017-08-21 - Tomáš Mráz <tmraz@redhat.com> 1.0.2j-9
- add missing ldconfig call to post script
2017-08-02 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2j-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2j-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-02-10 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2j-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

See Also

Package Description
compat-openssl10-devel-1.0.2o-1.fc27.i686.rpm Files for development of applications which have to use OpenSSL-1.0.2
compat-openssl10-devel-1.0.2o-1.fc27.x86_64.rpm Files for development of applications which have to use OpenSSL-1.0.2
compat-tracker1-1.12.4-1.fc27.i686.rpm Compatibility package with the tracker client-side libraries
compat-tracker1-1.12.4-1.fc27.x86_64.rpm Compatibility package with the tracker client-side libraries
compiler-rt-5.0.2-1.fc27.x86_64.rpm LLVM "compiler-rt" runtime libraries
compose-utils-0.1.26-1.fc27.noarch.rpm Utilities for working with composes
composer-1.7.2-1.fc27.noarch.rpm Dependency Manager for PHP
compsize-1.1-1.fc27.x86_64.rpm Utility for measuring compression ratio of files on btrfs
compton-0.1-0.1.beta3.fc27.x86_64.rpm A compositor for X11
concurrentunit-0.4.3-1.fc27.noarch.rpm Toolkit for testing multi-threaded and asynchronous applications
concurrentunit-javadoc-0.4.3-1.fc27.noarch.rpm Javadoc files for concurrentunit
condor-8.6.11-1.fc27.x86_64.rpm HTCondor: High Throughput Computing
condor-classads-8.6.11-1.fc27.i686.rpm HTCondor's classified advertisement language
condor-classads-8.6.11-1.fc27.x86_64.rpm HTCondor's classified advertisement language
condor-classads-devel-8.6.11-1.fc27.i686.rpm Headers for HTCondor's classified advertisement language
Advertisement
Advertisement